Bug 626962 - [RFE] don't allow multiple corosync processes to start on same system.
Summary: [RFE] don't allow multiple corosync processes to start on same system.
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: corosync   
(Show other bugs)
Version: 6.0
Hardware: All
OS: Linux
low
low
Target Milestone: rc
: ---
Assignee: Jan Friesse
QA Contact: Cluster QE
URL:
Whiteboard:
Keywords: FutureFeature
Depends On:
Blocks: 655920
TreeView+ depends on / blocked
 
Reported: 2010-08-24 18:41 UTC by Steven Dake
Modified: 2016-04-26 15:02 UTC (History)
3 users (show)

Fixed In Version: corosync-1.2.3-23.el6
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-05-19 14:24:07 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch honza submitted to address rfe (4.81 KB, patch)
2010-08-24 20:09 UTC, Steven Dake
no flags Details | Diff
revision 3026 - second part of patch to address problem (657 bytes, patch)
2010-08-24 20:11 UTC, Steven Dake
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2011:0764 normal SHIPPED_LIVE corosync bug fix update 2011-05-18 18:08:44 UTC

Description Steven Dake 2010-08-24 18:41:02 UTC
Description of problem:
multiple corosync processes can be started, which results in havoc on the local node.

Version-Release number of selected component (if applicable):
corosync-1.2.3-20.el6

How reproducible:
100%

Steps to Reproduce:
1. corosync -f &
2. corosync -f
3.
  
Actual results:
Second corosync invocation starts, resulting in bad behavior.

Expected results:
Second corosync should not start, instead printing an appropriate error to the logs.

Additional info:

Comment 2 Steven Dake 2010-08-24 20:09:07 UTC
Created attachment 440756 [details]
patch honza submitted to address rfe

Comment 3 Steven Dake 2010-08-24 20:11:24 UTC
Created attachment 440757 [details]
revision 3026 - second part of patch to address problem

Comment 5 Jaroslav Kortus 2011-03-09 16:48:31 UTC
$ service cman start
$ cd /etc/corosync; cp corosync.conf.example corosync.conf
$ corosync -f ; echo $?
18

Mar  9 10:44:18 z4 corosync[26988]:   [MAIN  ] Another Corosync instance is already running.

Behaves as expected, maybe some error message printed would be useful.

Comment 6 errata-xmlrpc 2011-05-19 14:24:07 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2011-0764.html


Note You need to log in before you can comment on or make changes to this bug.